Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.jmf.codec.video
Class QTAnimationDecoder

    java.lang.Object
      org.monte.media.jmf.codec.AbstractCodec
          org.monte.media.jmf.codec.video.AbstractVideoDecoder
              org.monte.media.jmf.codec.video.QTAnimationDecoder

All Implemented Interfaces:
  javax.media.Codec, javax.media.Controls, javax.media.PlugIn

    public class QTAnimationDecoder

extends AbstractVideoDecoder

`QTAnimationDecoder`.

FIXME - Implement this class.

Version:
  $Id$
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class org.monte.media.jmf.codec.video.AbstractVideoDecoder
`defaultOutputFormats, inputFormat, outputFormat, supportedInputFormats`

Fields inherited from class org.monte.media.jmf.codec.AbstractCodec
`controls, pluginName`

Fields inherited from interface javax.media.PlugIn
`BUFFER_PROCESSED_FAILED, BUFFER_PROCESSED_OK, INPUT_BUFFER_NOT_CONSUMED, OUTPUT_BUFFER_NOT_FILLED, PLUGIN_TERMINATED`

Constructor Summary
`QTAnimationDecoder()`

Method Summary
`protected javax.media.Format[]` | `getMatchingOutputFormats(javax.media.Format input)`
`int` | `process(javax.media.Buffer input, javax.media.Buffer output)`

Methods inherited from class org.monte.media.jmf.codec.video.AbstractVideoDecoder
`getInputFormat, getOutputFormat, getSupportedInputFormats, getSupportedOutputFormats, setInputFormat, setOutputFormat`

Methods inherited from class org.monte.media.jmf.codec.AbstractCodec
`close, getControl, getControls, getName, isSet, open, reset, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTAnimationDecoder

    public QTAnimationDecoder()

Method Detail

### getMatchingOutputFormats

    protected javax.media.Format[] getMatchingOutputFormats(javax.media.Format input)

  Specified by:
    `getMatchingOutputFormats` in class `AbstractVideoDecoder`

### process

    public int process(javax.media.Buffer input,
                       javax.media.Buffer output)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD